import { jsx } from "react/jsx-runtime";
import { WindmillIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Windmill = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Windmill", ...props, children: /* @__PURE__ */ jsx(WindmillIcon, { weight: variant }) });
  }
);
Windmill.displayName = "Windmill";
Object.assign(Windmill, { isGdsIcon: true });
export {
  Windmill
};
